commit: 4618be2a414a5d9f24844e515e775a603d034ccd
Author: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 15 21:29:04 2017 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Mar 15 21:31:11 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4618be2a
net-libs/rb_libtorrent: Make sure 1.1.2 links against the right version of the
library
Also makes sure that we are using the right header files. When building the
python bindings, since we are working in a copy of the source tree, rather
than the one the lib was built in, it tends to use the installed versions
rather the new ones.
Package-Manager: Portage-2.3.4, Repoman-2.3.2
net-libs/rb_libtorrent/rb_libtorrent-1.1.2.ebuild | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/net-libs/rb_libtorrent/rb_libtorrent-1.1.2.ebuild
b/net-libs/rb_libtorrent/rb_libtorrent-1.1.2.ebuild
index a896476e7a5..c3a54a8c6d7 100644
--- a/net-libs/rb_libtorrent/rb_libtorrent-1.1.2.ebuild
+++ b/net-libs/rb_libtorrent/rb_libtorrent-1.1.2.ebuild
@@ -48,7 +48,10 @@ src_prepare() {
# bug 578026
# prepend -L${S}/... to ensure bindings link against the lib we just
built
- sed -i -e "s|^|-L${S}/src/.libs |" bindings/python/compile_flags.in ||
die
+ sed -i -e "s|^|-L${S}/src/.libs |" bindings/python/link_flags.in || die
+
+ # prepend -I${S}/... to ensure bindings use the right headers
+ sed -i -e "s|^|-I${S}/src/include |" bindings/python/compile_flags.in
|| die
use python && distutils-r1_src_prepare
}